From 4ad4accf05024e927c053b892fd5bbc40c444acf Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 14:33:47 +0200
Subject: [PATCH 23/34] Add missing auth_uid init setting

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/proc_req.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/slurmctld/proc_req.c b/src/slurmctld/proc_req.c
index 04bf9d3c88..0c025b95b3 100644
--- a/src/slurmctld/proc_req.c
+++ b/src/slurmctld/proc_req.c
@@ -6308,6 +6308,9 @@ static int _process_persist_conn(void *arg,
 	slurm_msg_t_init(&msg);
 
 	msg.auth_cred = persist_conn->auth_cred;
+	msg.auth_uid = *uid;
+	msg.auth_uid_set = true;
+
 	msg.conn = persist_conn;
 	msg.conn_fd = persist_conn->fd;
 
-- 
2.35.3


